# Uses of Interface
org.springframework.aop.MethodMatcher

Packages that use MethodMatcher
Package
Description
org.springframework.aop
Core Spring AOP interfaces, built on AOP Alliance AOP interoperability interfaces.
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.support
Convenience classes for using Spring's AOP API.
org.springframework.aop.support.annotation
Annotation support for AOP pointcuts.

## Uses of MethodMatcher in org.springframework.aop

Subinterfaces of MethodMatcher in org.springframework.aop
Modifier and Type
Interface
Description
`interface`
`IntroductionAwareMethodMatcher`
A specialized type of `MethodMatcher` that takes into account introductions when matching methods.
Fields in org.springframework.aop declared as MethodMatcher
Modifier and Type
Field
Description
`static final MethodMatcher`
MethodMatcher.`TRUE`
Canonical instance of a `MethodMatcher` that matches all methods.
Methods in org.springframework.aop that return MethodMatcher
Modifier and Type
Method
Description
`MethodMatcher`
Pointcut.`getMethodMatcher()`
Return the MethodMatcher for this pointcut.

## Uses of MethodMatcher in org.springframework.aop.aspectj

Classes in org.springframework.aop.aspectj that implement MethodMatcher
Modifier and Type
Class
Description
`class`
`AspectJExpressionPointcut`
Spring `Pointcut` implementation that uses the AspectJ weaver to evaluate a pointcut expression.
Methods in org.springframework.aop.aspectj that return MethodMatcher
Modifier and Type
Method
Description
`MethodMatcher`
AspectJExpressionPointcut.`getMethodMatcher()`

## Uses of MethodMatcher in org.springframework.aop.support

Classes in org.springframework.aop.support that implement MethodMatcher
Modifier and Type
Class
Description
`class`
`AbstractRegexpMethodPointcut`
Abstract base regular expression pointcut bean.
`class`
`ControlFlowPointcut`
Pointcut and method matcher for use as a simple cflow-style pointcut.
`class`
`DynamicMethodMatcher`
Convenient abstract superclass for dynamic method matchers, which do care about arguments at runtime.
`class`
`DynamicMethodMatcherPointcut`
Convenient superclass when we want to force subclasses to implement MethodMatcher interface, but subclasses will want to be pointcuts.
`class`
`JdkRegexpMethodPointcut`
Regular expression pointcut based on the `java.util.regex` package.
`class`
`NameMatchMethodPointcut`
Pointcut bean for simple method name matches, as an alternative to regular expression patterns.
`class`
`StaticMethodMatcher`
Convenient abstract superclass for static method matchers, which don't care about arguments at runtime.
`class`
`StaticMethodMatcherPointcut`
Convenient superclass when we want to force subclasses to implement the `MethodMatcher` interface but subclasses will want to be pointcuts.
`class`
`StaticMethodMatcherPointcutAdvisor`
Convenient base class for Advisors that are also static pointcuts.
Methods in org.springframework.aop.support that return MethodMatcher
Modifier and Type
Method
Description
`MethodMatcher`
ComposablePointcut.`getMethodMatcher()`
`MethodMatcher`
ControlFlowPointcut.`getMethodMatcher()`
`final MethodMatcher`
DynamicMethodMatcherPointcut.`getMethodMatcher()`
`final MethodMatcher`
StaticMethodMatcherPointcut.`getMethodMatcher()`
`static MethodMatcher`
MethodMatchers.`intersection(MethodMatcher mm1, MethodMatcher mm2)`
Match all methods that both of the given MethodMatchers match.
`static MethodMatcher`
MethodMatchers.`negate(MethodMatcher methodMatcher)`
Return a method matcher that represents the logical negation of the specified matcher instance.
`static MethodMatcher`
MethodMatchers.`union(MethodMatcher mm1, MethodMatcher mm2)`
Match all methods that either (or both) of the given MethodMatchers matches.
Methods in org.springframework.aop.support with parameters of type MethodMatcher
Modifier and Type
Method
Description
`ComposablePointcut`
ComposablePointcut.`intersection(MethodMatcher other)`
Apply an intersection with the given MethodMatcher.
`static MethodMatcher`
MethodMatchers.`intersection(MethodMatcher mm1, MethodMatcher mm2)`
Match all methods that both of the given MethodMatchers match.
`static boolean`
MethodMatchers.`matches(MethodMatcher mm, Method method, Class<?> targetClass, boolean hasIntroductions)`
Apply the given MethodMatcher to the given Method, supporting an `IntroductionAwareMethodMatcher` (if applicable).
`static MethodMatcher`
MethodMatchers.`negate(MethodMatcher methodMatcher)`
Return a method matcher that represents the logical negation of the specified matcher instance.
`ComposablePointcut`
ComposablePointcut.`union(MethodMatcher other)`
Apply a union with the given MethodMatcher.
`static MethodMatcher`
MethodMatchers.`union(MethodMatcher mm1, MethodMatcher mm2)`
Match all methods that either (or both) of the given MethodMatchers matches.
Constructors in org.springframework.aop.support with parameters of type MethodMatcher
Modifier
Constructor
Description
``
`ComposablePointcut(ClassFilter classFilter, MethodMatcher methodMatcher)`
Create a ComposablePointcut for the given ClassFilter and MethodMatcher.
``
`ComposablePointcut(MethodMatcher methodMatcher)`
Create a ComposablePointcut for the given MethodMatcher, with `ClassFilter.TRUE`.

## Uses of MethodMatcher in org.springframework.aop.support.annotation

Classes in org.springframework.aop.support.annotation that implement MethodMatcher
Modifier and Type
Class
Description
`class`
`AnnotationMethodMatcher`
Simple `MethodMatcher` that looks for a specific annotation being present on a method (checking both the method on the invoked interface, if any, and the corresponding method on the target class).
Methods in org.springframework.aop.support.annotation that return MethodMatcher
Modifier and Type
Method
Description
`MethodMatcher`
AnnotationMatchingPointcut.`getMethodMatcher()`